MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000903XdebugUsage problems (Wrong Results)public2012-11-20 12:592012-12-18 12:36
ReporterTheSeer 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0000903: xdebug_get_headers() returns replaced headers
DescriptionCalling PHP's header() function multiple times with the same header-key PHP's default behavior is to replace a previously set header.

Xdebug's tracking does not honor that, causing xdebug_get_headers() to return already overwritten headers.
Steps To Reproduce<?php
header('foo: bar');
header('foo: baz');

var_dump(xdebug_get_headers());


?>
Additional InformationPHP's headers_list() returns only the last set header/value pair - among other, internally set headers.
TagsNo tags attached.
Operating SystemLinux
PHP Version5.4.4
Attached Files

- Relationships
has duplicate 0000645resolvedderick Suggested improvements for xdebug_header_handler 

-  Notes
(0002393)
derick (administrator)
2012-12-17 20:03

Fixed for Xdebug 2.2.2.

- Issue History
Date Modified Username Field Change
2012-11-20 12:59 TheSeer New Issue
2012-12-17 20:03 derick Note Added: 0002393
2012-12-17 20:03 derick Status new => closed
2012-12-17 20:03 derick Assigned To => derick
2012-12-17 20:03 derick Resolution open => fixed
2012-12-18 12:36 derick Fixed in Version => 2.2.2
2012-12-18 12:36 derick Target Version => 2.2.2
2014-02-27 19:08 derick Relationship added has duplicate 0000645
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker